package com.ryanair.androidchallenge.repository.airports.api

import com.ryanair.androidchallenge.repository.airports.model.RouteResponse
import retrofit2.http.GET
import retrofit2.http.Path

interface RoutesService {

    @GET("/views/locate/5/routes/{language}")
    suspend fun getAllRoutes(
        @Path("language") languageCode: String,
    ): List<RouteResponse>

    @GET("/views/locate/5/routes/{language}/airport/{departure}")
    suspend fun getRoutes(
        @Path("language") languageCode: String,
        @Path("departure") departureAirportCode: String,
    ): List<RouteResponse>
}