package com.ryanair.androidchallenge.ui.search

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.rounded.Search
import androidx.compose.material3.Button
import androidx.compose.material3.Card
import androidx.compose.material3.CardDefaults
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import com.ryanair.androidchallenge.ui.theme.Theme

@Composable
internal fun SearchScreen() {
    Column(
        modifier = Modifier
            .padding(Theme.spacing.spacing16)
            .fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.SpaceBetween
    ) {
        Column(
            modifier = Modifier
                .wrapContentHeight()
                .fillMaxWidth()
        ) {
            Card(
                modifier = Modifier
                    .fillMaxWidth()
                    .clickable { },
                border = BorderStroke(Theme.spacing.spacing1, Theme.colors.primary),
                colors = CardDefaults.cardColors().copy(containerColor = Theme.colors.background)
            ) {
                Box(modifier = Modifier.padding(Theme.spacing.spacing8)) {
                    Column {
                        Text(text = "From")

                        Text(text = "", maxLines = 3)
                    }
                }
            }
            Spacer(modifier = Modifier.height(Theme.spacing.spacing16))
            Card(
                modifier = Modifier
                    .fillMaxWidth()
                    .clickable { },
                border = BorderStroke(Theme.spacing.spacing1, Theme.colors.primary),
                colors = CardDefaults.cardColors().copy(containerColor = Theme.colors.background)
            ) {
                Box(modifier = Modifier.padding(Theme.spacing.spacing8)) {
                    Column {
                        Text(text = "To")

                        Text(text = "", maxLines = 3)
                    }
                }
            }
            Spacer(modifier = Modifier.height(Theme.spacing.spacing16))
            Card(
                modifier = Modifier
                    .fillMaxWidth()
                    .clickable { },
                border = BorderStroke(Theme.spacing.spacing1, Theme.colors.primary),
                colors = CardDefaults.cardColors().copy(containerColor = Theme.colors.background)
            ) {
                Box(modifier = Modifier.padding(Theme.spacing.spacing8)) {
                    Column {
                        Text(text = "Departure date")

                        Text(text = "", maxLines = 3)
                    }
                }
            }
            Spacer(modifier = Modifier.height(Theme.spacing.spacing16))
            Card(
                modifier = Modifier
                    .fillMaxWidth()
                    .clickable { },
                border = BorderStroke(Theme.spacing.spacing1, Theme.colors.primary),
                colors = CardDefaults.cardColors().copy(containerColor = Theme.colors.background)
            ) {
                Box(modifier = Modifier.padding(Theme.spacing.spacing8)) {
                    Column {
                        Text(text = "Passengers")

                        Text(text = "", maxLines = 3)
                    }
                }
            }
        }
        Button(modifier = Modifier
            .fillMaxWidth(),
            enabled = false,
            onClick = { /*TODO*/ }) {
            Row {
                Icon(
                    imageVector = Icons.Rounded.Search,
                    contentDescription = ""
                )
                Text(text = "Search")
            }
        }
    }
}