package com.ryanair.androidchallenge.ui.theme

import androidx.compose.runtime.Stable
import androidx.compose.runtime.staticCompositionLocalOf
import androidx.compose.ui.graphics.Color

object Palette {

    val Purple80 = Color(0xFFD0BCFF)
    val Purple40 = Color(0xFF6650a4)
    val White = Color(0xFFFFFFFF)

}

@Stable
data class ColorScheme(
    val primary: Color = Palette.Purple80,
    val primaryAccent: Color = Palette.Purple40,
    val background: Color = Palette.White,
)


val LocalColorScheme = staticCompositionLocalOf { ColorScheme() }